import os
import codecs

def main():
    # Execute SQL statement:
    jsqlexec_cfg = squishinfo.testCase + "/jsqlexec_select_cfg.txt"
    jdbc_driver_path = "hsqldb.jar"
    jsqlexec_path = squishinfo.testCase + "/.."
    sql_statement = "SELECT COLA, COLB FROM TABLE1"
    exec_sql(jsqlexec_cfg, jdbc_driver_path, jsqlexec_path, sql_statement)

    # Read generated output:
    dataset = testData.dataset(squishinfo.testCase + "/output.csv")
    for row in dataset:
        value_cola = testData.field(row, "COLA")
        value_colb = testData.field(row, "COLB")
        test.log("Next row:")
        test.log("  " + value_cola)
        test.log("  " + value_colb)

def exec_sql(jsqlexec_cfg, jdbc_driver_path, jsqlexec_path, sql_statement):
    cwd = squishinfo.testCase
    input_file_name = "input.txt"
    write_file_utf8(input_file_name, sql_statement)

    cmd = 'cd "%s" & java -cp "%s' + os.pathsep + '%s" JSQLExec "%s"'
    cmd = cmd % (cwd, jdbc_driver_path, jsqlexec_path, jsqlexec_cfg)

    test.log("exec_sql(): Executing: " + cmd)
    os.system(cmd)

def write_file_utf8(file_name, content):
    f = codecs.open(file_name, "w", "utf8")
    f.write(content)
    f.close()
